Issue 17192 - Printing Envelope Margin out...
Summary: Printing Envelope Margin out...
Status: CLOSED DUPLICATE of issue 4999
Alias: None
Product: gsl
Classification: Code
Component: code (show other issues)
Version: OOo 1.1 Beta2
Hardware: PC Windows 98
: P5 (lowest) Trivial (vote)
Target Milestone: ---
Assignee: Oliver Specht
QA Contact: issues@gsl
URL:
Keywords: oooqa
Depends on:
Blocks:
 
Reported: 2003-07-21 18:27 UTC by Unknown
Modified: 2008-05-18 00:04 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
Oss Export PDF (Please take note that the Chinese Chracter are bad) (25.05 KB, application/pdf)
2003-07-23 06:32 UTC, Unknown
no flags Details
Samba Printer Using Ps convert to Pdf, The Chinese Character is correct, but the page layout is wrong. (49.61 KB, application/pdf)
2003-07-23 06:34 UTC, Unknown
no flags Details
The Envelope Template (7.07 KB, application/octet-stream)
2003-07-23 12:39 UTC, Unknown
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description Unknown 2003-07-21 18:27:32 UTC
I'm using the old template that created with version 1.0.1 and it didn't print
at the right place, even if I did change the Envelope Size.
It always print on the Rigth Bottom Conner of the A4 Paper. (and it is only a
words, alot is missing)


Thank You
Comment 1 eugenetswong 2003-07-21 20:44:43 UTC
Hi.

Have you considered upgrading? The newest downloads may have this 
problem corrected. If you upgrade, then please comment again, & let us 
know how well things are.
Comment 2 Unknown 2003-07-22 07:15:07 UTC
I've tested 1.1 RC on windows, And the same things is happening.
This is a very important Feature.

Please look into it.

Thank You
Comment 3 christof.pintaske 2003-07-22 13:32:58 UTC
cp->pl: another margin problem ? please check 

cp->dcmwai: please provide the template in question. Where do you
expect it to print ? Please provide printouts (print to file) of the
old and new release.
Comment 4 philipp.lohmann 2003-07-22 13:42:09 UTC
pl->ssa: this seems to be either a printer driver problem or a writer
problem ?
Comment 5 Unknown 2003-07-22 18:55:09 UTC
dcmwai->pl: This isn't related to printer driver as the driver is the
same, I'v even work it with other printer and both have the same result.

dcmwai->cp: What should I do to provided that?
As the Pdf export seem to be no problem at all, maybe I'll get my
samba pdf printer to catch the printout and mail it here. (one using
OOS pdf Export, one using samba pdf ps2pdf driver)
Comment 6 Unknown 2003-07-23 06:32:34 UTC
Created attachment 7955 [details]
Oss Export PDF (Please take note that the Chinese Chracter are bad)
Comment 7 Unknown 2003-07-23 06:34:36 UTC
Created attachment 7956 [details]
Samba Printer Using Ps convert to Pdf, The Chinese Character is correct, but the page layout is wrong.
Comment 8 stephan_schaefer 2003-07-23 09:40:10 UTC
dcmwai,
Please send us the document and the template. The printouts do not
help very much. Thanks!
Comment 9 Unknown 2003-07-23 12:39:56 UTC
Created attachment 7972 [details]
The Envelope Template
Comment 10 stephan_schaefer 2003-07-23 13:02:28 UTC
It prints fine for me. What is your exact problem ? Where do want to
have the output placed and where does it actually come out ? 
I printed on an A4 paper. When you now look at the paper in landscape
mode the printout is the top of the page. Actually pretty similar to
the pdf you generated from your samba printout.
If you say it was different on 1.0.1 then please send me the samba
printout as pdf as you did for the 1.1rc version.
Comment 11 Unknown 2003-07-23 14:08:35 UTC
Now I know the real reason, The Printing problem happen to be on the
HP LaserJet 6L. Which Happen to be have a middle envelope paper feed. 

This is the main Problem I think.

If your printer have a middle Paper feedint for envelop then you are
in trouble. Anyway, I'll try OOS 1.1 RC on the HP 5P Which don't use
middle envelop feeding technique.
Comment 12 stephan_schaefer 2003-07-24 09:56:09 UTC
That means your problem is only related to the HP LaserJet 6L,
regardless which OpenOffice version you're using ? Or has the layout
actually changed changed between 1.0.1 and 1.1rc ? Have you also
selected an envelope paper size in your printer settings before printing ?
Comment 13 Unknown 2003-07-24 14:15:02 UTC
No, This only happen to be a problem on OSS 1.1 Beta and RC. On OSS
1.0.1 -- 1.0.3 isn't cause any problem.

That is why, I file the bug here.
Comment 14 Unknown 2003-08-05 04:07:56 UTC
Any new status for this issue?
I've try 1.1Rc on My HP laser Jet 5P (Which don't use the Middle 
envelop feeding) and the envelop only print on the right Bottom.

(I hope that I've a scanner to show you all that)

This is a serious issue. Please
Comment 15 stephan_schaefer 2003-08-05 17:22:24 UTC
SSA: I'm a little bit confused now. So the problem also occurs with
the HP5 ? Where do you think the printout should appear when not at
the bottom of the page ?
What paper format did you select. Please have a look at Format->Page
and select the Page tab as well as the settings in your print dialog.

SSA->OS: Can you comment on this one ?
Comment 16 Oliver Specht 2003-08-06 08:54:04 UTC
os: I'm still unable to understand what a printer does when the paper
format doesn't fit it's provided default formats. 
The template attached here is in a "User" page format and the way the
printer matches this to it's in-built formats depends on the printer.
I see no logic there - but I only have very few different printers to
check that. 

Once the paper format matches an available format of the printer it
usually works as expected. 

os->dcmwai: Can you check the formats the printer driver supports and
try to print pages which use envelope formats that are similar to your
envelope format?
Comment 17 Unknown 2003-08-07 06:05:34 UTC
Do you all use IRC/ICQ/AIM/Yahoo?

You can look for me using these info.
ICQ: 601356
AIM: godinheavenchan  (This long name is due to netscpae and AOL
mearge :( )
yahoo: dcmwai
IRC: irc.freenode.net Nick:dcmwai #gnuenterprise,#redhat

I did like to talk about it and solve it.

SSA: I've try to change, the print is different but not the one I
want. The problem is not bottom but the improper place to start the
printing.

OS: I've try to print the envelop in almost all format (Orientation
that I can try). And only one is working Right for me. But still it
was wrong from the orientation.
This Envelope isn't my own templates, but insert using The
[Insert]-->[Envelope] Function from the menu.

Before I start here is some defination:
The Printed Face is facing me. Left, right is define respectively with
this position. Top and Bottom is the same.

I've keyin Sender, Address using Envelope 10 Format (all is default
setting No Adjustmet)
Changing in Oratation only done with a click on the change oratation
and [New Doc].

These are the result 
--------------------
1. Left Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)


2. Middle Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

3. Rigth Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

4. Left Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)
*This does work ok on the 1st time but with some mistake, Priting is
on the Right and not on the left. (Complete)

5. Middle Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

6. Right Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

Someone can help me on these? Well, if you don't believes it try to
use A4 Paper and print all Oratation by your own.

Thank You
Comment 18 Unknown 2003-08-07 06:07:22 UTC
Do you all use IRC/ICQ/AIM/Yahoo?

You can look for me using these info.
ICQ: 601356
AIM: godinheavenchan  (This long name is due to netscpae and AOL
mearge :( )
yahoo: dcmwai
IRC: irc.freenode.net Nick:dcmwai #gnuenterprise,#redhat

I did like to talk about it and solve it.

SSA: I've try to change, the print is different but not the one I
want. The problem is not bottom but the improper place to start the
printing.

OS: I've try to print the envelop in almost all format (Orientation
that I can try). And only one is working Right for me. But still it
was wrong from the orientation.
This Envelope isn't my own templates, but insert using The
[Insert]-->[Envelope] Function from the menu.

Before I start here is some defination:
The Printed Face is facing me. Left, right is define respectively with
this position. Top and Bottom is the same.

I've keyin Sender, Address using Envelope 10 Format (all is default
setting No Adjustmet)
Changing in Oratation only done with a click on the change oratation
and [New Doc].

These are the result 
--------------------
1. Left Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)


2. Middle Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

3. Rigth Top (Horizontal)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

4. Left Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)
*This does work ok on the 1st time but with some mistake, Priting is
on the Right and not on the left. (Complete)

5. Middle Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

6. Right Top (Vertical)
Only Sender is Print on the Paper on the Left Top (Vertically). Words
is read from bottom to top. (Incomplete)

Someone can help me on these? Well, if you don't believes it try to
use A4 Paper and print all Oratation by your own.

Thank You
Comment 19 Unknown 2003-08-13 12:55:28 UTC
Anyone have any idea yet?
Comment 20 Oliver Specht 2003-08-26 14:57:10 UTC
.

*** This issue has been marked as a duplicate of 4999 ***
Comment 21 ace_dent 2008-05-17 21:59:25 UTC
The Issue you raised has been marked as 'Resolved' and not updated within the
last 1 year+. I am therefore setting this issue to 'Verified' as the first step
towards Closing it. If you feel this is incorrect, please re-open the issue and
add any comments.

Many thanks,
Andrew
 
Cleaning-up and Closing old Issues
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 22 ace_dent 2008-05-18 00:04:15 UTC
As per previous posting: Verified -> Closed.
A Closed Issue is a Happy Issue (TM).

Regards,
Andrew